Disabled hidden button for smart class parameters should show a tooltip

01/21/2016 02:49 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Parameters   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3219,

https://github.com/theforeman/foreman/p

ull/3225

  

Description

The hidden button for smart class parameters/smart variables in host/hg edit page only appears for values that were hidden for the

parameters itself.

This is a different behavior then with host parameters and as a result can be confusing.

When the button is disables there should be a tooltip explaining why.

Associated revisions

Revision 190a8bfa - 02/24/2016 03:48 AM - Ori Rabin

Fixes #13304 - Disabled hidden button for smart class parameters shows a tooltip

Revision 6d1b0165 - 02/24/2016 09:26 AM - Dominic Cleal

refs #13304 - translate tooltip text

History

#1 - 02/23/2016 02:19 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3219 added

#2 - 02/24/2016 04:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 190a8bfa66ee21021a7edd9c5be2ba96e1b1bf4f.

#3 - 02/24/2016 04:47 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3225 added

#4 - 02/24/2016 04:51 AM - Dominic Cleal

- translation missing: en.field_release set to 136
